<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer0Defs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer0_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimer0Defs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer0_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#ifndef KM_TIMER0DEFS_H_</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">#define KM_TIMER0DEFS_H_</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#ifdef KM_DOXYGEN</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#ifdef OCR0</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#undef OCR0</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#endif </span><span class="comment">/* OCR0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#endif </span><span class="comment">/* __cplusplus */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="preprocessor">#include &quot;../kmCpu/kmCpuDefs.h&quot;</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ad5c10be98c48ea22bb1512f3b2889e3a">   47</a></span><span class="preprocessor">#define KM_TIMER0_BOTTOM KM_TCC_BOTOM</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a15726fb1889dcd7c072284b8311168af">   49</a></span><span class="preprocessor">#define KM_TIMER0_MAX KM_TCC_TOP_1</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#adbfa01ccc630eaec70294a7ab95f3ff0">   51</a></span><span class="preprocessor">#define KM_TIMER0_MID KM_TCC_MID_1</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">#ifdef OCR0</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment">// @internal</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="preprocessor">#define OCR0A OCR0</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">// @internal</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#define TCCR0A TCCR0</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">// @internal</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">#define TCCR0B TCCR0</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="comment">// @internal</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="preprocessor">#define COM0A0 COM00</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">// @internal</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="preprocessor">#define COM0A1 COM01</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="comment">// @internal</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="preprocessor">#define OCIE0A OCIE0</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="comment">// @internal</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="preprocessor">#define TIMER0_COMPA_vect TIMER0_COMP_vect</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="preprocessor">#ifdef TIMSK</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="preprocessor">#define TIMSK0 TIMSK</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">// Definitions for TCCR0B - Timer/Counter Control Register B @n</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ac9890e5ec83b5ded2e8045eb0cb7078e">   79</a></span><span class="preprocessor">#define KM_TCC0_STOP        (KMC_ALL_BITS_CLEARED           )</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#aee177806393889a6fe4eb4221b6c1659">   81</a></span><span class="preprocessor">#define KM_TCC0_PRSC_1      (                       _BV(CS00))</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a8f6b1edf9ade621c8e9f2f824918dca7">   83</a></span><span class="preprocessor">#define KM_TCC0_PRSC_8      (           _BV(CS01)           )</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a7bc1a90e186f704f9676d99637944209">   85</a></span><span class="preprocessor">#define KM_TCC0_PRSC_64 (           _BV(CS01) | _BV(CS00))</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a43580016f729999bfaefeb721b9757ca">   87</a></span><span class="preprocessor">#define KM_TCC0_PRSC_256    (_BV(CS02)                      )</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#aed89b0c07651351d4bd6f8343a135cf2">   89</a></span><span class="preprocessor">#define KM_TCC0_PRSC_1024   (_BV(CS02) |            _BV(CS00))</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ae7884c9bc07d93e6ce6324027a91683a">   91</a></span><span class="preprocessor">#define KM_TCC0_EXT_T0_FAL  (_BV(CS02) |_BV(CS01)           )</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a19887584c6a4a40e202164e28e2d79a7">   93</a></span><span class="preprocessor">#define KM_TCC0_EXT_T0_RIS  (_BV(CS02) |_BV(CS01) | _BV(CS00))</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ab65ec0f852ee5377ae7077ef9c9f19f9">   95</a></span><span class="preprocessor">#define KM_TCC0_CS_MASK     KM_TCC0_EXT_T0_RIS</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="comment">// Definitions for TCCR0A &amp; TCCR0B - Timer/Counter Control Registers A&amp;B</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ad92dca9c7e886afe1bc56a6350d9c82f">   99</a></span><span class="preprocessor">#define KM_TCC0_MODE_0_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ad357217ee95266e15d7c1a03bcaa4834">  101</a></span><span class="preprocessor">#define KM_TCC0_MODE_0_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a5ba8d0c7e9ac8f048788a2c531c5efe1">  103</a></span><span class="preprocessor">#define KM_TCC0_MODE_1_A    (                                               _BV(WGM00)  )</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a4a054fc08bbfdeec2a233fa949aa8fbd">  105</a></span><span class="preprocessor">#define KM_TCC0_MODE_1_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ae954bc70c1e10a0a083c48cbf144f582">  107</a></span><span class="preprocessor">#define KM_TCC0_MODE_2_A    (                               _BV(WGM01)                  )</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a666476ab8e7b088dbf96d949ec0e9e7c">  109</a></span><span class="preprocessor">#define KM_TCC0_MODE_2_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ac44cac010fd20cef3cf0883fff65f0bf">  111</a></span><span class="preprocessor">#define KM_TCC0_MODE_3_A    (                               _BV(WGM01) |    _BV(WGM00)  )</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ac7190769e61256dab91cfa97a1a8663b">  113</a></span><span class="preprocessor">#define KM_TCC0_MODE_3_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a99ec69f108143bfd5d74a5830ee25688">  115</a></span><span class="preprocessor">#define KM_TCC0_MODE_4_RESERVED (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a29df7e9ed629a513847d0065c7b7cab8">  119</a></span><span class="preprocessor">#define KM_TCC0_MODE_5_A    (                                               _BV(WGM00)  )</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ae2b20357933f9aa0bc3f4f7a743516ac">  121</a></span><span class="preprocessor">#define KM_TCC0_MODE_5_B    (               _BV(WGM02)                                  )</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a1c773c6d23d79a2ad51b583fc7bc5481">  123</a></span><span class="preprocessor">#define KM_TCC0_MODE_6_RESERVED (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ad618ab7b71aab3219f052fe50d3ce63e">  125</a></span><span class="preprocessor">#define KM_TCC0_MODE_7_A    (                               _BV(WGM01) |    _BV(WGM00)  )</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#aeec8f10ebb1aa0178f66a4e18db56a7b">  127</a></span><span class="preprocessor">#define KM_TCC0_MODE_7_B    (               _BV(WGM02)                                  )</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a448b34508b192bfab31547e77db8a84c">  129</a></span><span class="preprocessor">#define KM_TCC0_MODE_MASK_A KM_TCC0_MODE_7_A</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a86abb56593ab7cadb1a1eeb4a4ceaf26">  131</a></span><span class="preprocessor">#define KM_TCC0_MODE_MASK_B KM_TCC0_MODE_7_B</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="preprocessor">#define KM_TCC0_MODE_MASK_A KM_TCC0_MODE_3_A</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="comment">// Definitions for TCCR0A - Timer/Counter Control Register A</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#af5a6f668d057fae0d1c2e670607ff808">  139</a></span><span class="preprocessor">#define KM_TCC0_A_COMP_OUT_NONE                     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a9343f3d5d045d854adc39c690b389288">  141</a></span><span class="preprocessor">#define KM_TCC0_A_COMP_OUT_TOGGLE                   (               _BV(COM0A0) )</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a94e6ae0ecca9ce6b1de6c4eb1f01792b">  143</a></span><span class="preprocessor">#define KM_TCC0_A_COMP_OUT_CLEAR                    (_BV(COM0A1)                )</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a66bdf48af4d17ee84b3e9f2466b06195">  145</a></span><span class="preprocessor">#define KM_TCC0_A_COMP_OUT_SET                      (_BV(COM0A1) |  _BV(COM0A0) )</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a410422a57511ec021f89e848056a68ed">  147</a></span><span class="preprocessor">#define KM_TCC0_COMA_MASK           KM_TCC0_A_COMP_OUT_SET</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a437767042921908f7ed744e5170bc12a">  150</a></span><span class="preprocessor">#define KM_TCC0_A_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ab5440ca015824112236e1ac2bc297437">  154</a></span><span class="preprocessor">#define KM_TCC0_A_PWM_COMP_OUT_TOGGLE               (               _BV(COM0A0) )</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#aa9b66b5f9cf6c12fd6504df0dc5d7b52">  158</a></span><span class="preprocessor">#define KM_TCC0_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM0A1)                )</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ac5314e25cd3b5e70a55ad443817627f0">  162</a></span><span class="preprocessor">#define KM_TCC0_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM0A1) |  _BV(COM0A0) )</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a8d86214b9f25c7231dc1556cfc5cd5f3">  166</a></span><span class="preprocessor">#define KM_TCC0_B_COMP_OUT_NONE                     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a2dbc97d41615967b41010f146bb31708">  168</a></span><span class="preprocessor">#define KM_TCC0_B_COMP_OUT_TOGGLE                   (               _BV(COM0B0) )</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a2f0175a968b59fcc139c92a644194332">  170</a></span><span class="preprocessor">#define KM_TCC0_B_COMP_OUT_CLEAR                    (_BV(COM0B1)                )</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ae31f1082d45d33f80835c37d9a0d6b3f">  172</a></span><span class="preprocessor">#define KM_TCC0_B_COMP_OUT_SET                      (_BV(COM0B1) |  _BV(COM0B0) )</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a225d49dee604c3c93f5b559255e0d782">  174</a></span><span class="preprocessor">#define KM_TCC0_COMB_MASK           KM_TCC0_B_COMP_OUT_SET</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ac6cff161c23eba4f0f75c936dc8c2661">  177</a></span><span class="preprocessor">#define KM_TCC0_B_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#ab4cd896756c82a28688e477cd1760c60">  179</a></span><span class="preprocessor">#define KM_TCC0_B_PWM_COMP_OUT_RESERVED             (               _BV(COM0B0) )</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a0dc0de58f38dc70883cc206f4116cedd">  183</a></span><span class="preprocessor">#define KM_TCC0_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM0B1)                )</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a17d78032f3222826e61dc6d6862dfb57">  187</a></span><span class="preprocessor">#define KM_TCC0_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM0B1) |  _BV(COM0B0) )</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="preprocessor">#ifndef TIMSK</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a652736e0701de1338586e44b1032d892">  192</a></span><span class="preprocessor">#define KM_TCC0_INT_MASK_REG TIMSK1</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span><span class="preprocessor">#define KM_TCC0_INT_MASK_REG TIMSK</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span><span class="preprocessor">#if defined(KM_CPU_AVR_LAYOUT_28) </span><span class="comment">// ATmega8/16/328</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>#define KM_TCC0_PWM_DDR DDRD</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span><span class="preprocessor">#define KM_TCC0_PWM_PORT PORTD</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span><span class="preprocessor">#define KM_TCC0_PWM_PIN_A PD6</span></div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span><span class="preprocessor">#define KM_TCC0_PWM_PIN_B PD5</span></div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span><span class="preprocessor">#define KM_TCC0_T0_PIN PD4</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span> </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span><span class="preprocessor">#if defined(KM_CPU_AVR_LAYOUT_40) </span><span class="comment">//ATmega32/644</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>#define KM_TCC0_PWM_DDR DDRB</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span><span class="preprocessor">#define KM_TCC0_PWM_PORT PORTB</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span><span class="preprocessor">#define KM_TCC0_PWM_PIN_A PB3</span></div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="preprocessor">#define KM_TCC0_PWM_PIN_B PB4</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="preprocessor">#endif </span><span class="comment">/* OCR0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="preprocessor">#define KM_TCC0_T0_PIN PB0</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span><span class="preprocessor">#if defined(KM_CPU_AVR_LAYOUT_64) </span><span class="comment">// ATmega256RFR2</span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>#define KM_TCC0_PWM_DDR DDRB</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span><span class="preprocessor">#define KM_TCC0_PWM_DDR_OCB DDRG</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span><span class="preprocessor">#define KM_TCC0_PWM_PORT PORTB</span></div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span><span class="preprocessor">#define KM_TCC0_PWM_PORT_OCB PORTG</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span><span class="preprocessor">#define KM_TCC0_PWM_PIN_A PB7</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="preprocessor">#define KM_TCC0_PWM_PIN_B PG5</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span><span class="preprocessor">#define KM_TCC0_ICP1_PIN PD4</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="preprocessor">#define KM_TCC0_T0_PIN PD7</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span><span class="preprocessor">#endif </span><span class="comment">/* KM_CPU_AVR_LAYOUT_64 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="preprocessor">#if defined(KM_CPU_AVR_LAYOUT_100) </span><span class="comment">// ATmega256</span></div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a56873386a28f049a3ef8448cbd1639af">  245</a></span>#define KM_TCC0_PWM_DDR DDRB</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span><span class="preprocessor">#define KM_TCC0_PWM_DDR_OCB DDRG</span></div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a19c7b09f5810fad2ebee35192f78ed80">  248</a></span><span class="preprocessor">#define KM_TCC0_PWM_PORT PORTB</span></div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span><span class="preprocessor">#define KM_TCC0_PWM_PORT_OCB PORTG</span></div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a1b76fce11cde05c09c2c991f3f46e38e">  251</a></span><span class="preprocessor">#define KM_TCC0_PWM_PIN_A PB7</span></div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#aed750a00b8304d48bcd2d36f3d6afb4f">  253</a></span><span class="preprocessor">#define KM_TCC0_PWM_PIN_B PG5</span></div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a5c03c53bc40745e9404415fd5a317a39">  255</a></span><span class="preprocessor">#define KM_TCC0_T0_PIN PD7</span></div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span><span class="preprocessor">#endif </span><span class="comment">/* KM_CPU_AVR_LAYOUT_100 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span> </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a1e24d2b3cf1ca94925c4c5a4b3e7687f">  259</a></span><span class="preprocessor">#define KM_TCC0_PWM_BV_A    _BV(KM_TCC0_PWM_PIN_A)</span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno"><a class="line" href="km_timer0_defs_8h.html#a6d4c248c7a87e836c3aa9d931e2fb12f">  261</a></span><span class="preprocessor">#define KM_TCC0_PWM_BV_B    _BV(KM_TCC0_PWM_PIN_B)</span></div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span> </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>}</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span><span class="preprocessor">#endif </span><span class="comment">/* __cplusplus */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span><span class="preprocessor">#endif </span><span class="comment">/* KM_TIME0RDEFS_H_ */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer0_defs_8h.html">kmTimer0Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
